# std::atomic< unsigned char > Struct Template Reference
[Atomics]

Explicit specialization for unsigned char. More...

Inherits __atomic_uchar_base.

List of all members.

## Public Types

- typedef atomic_uchar __base_type
- typedef unsigned char __integral_type

## Public Member Functions

- atomic (__integral_type __i)
- atomic (const atomic &)
- atomic & operator= (const atomic &)

## Public Attributes

- unsigned char _M_i

## Detailed Description

### template<>
struct std::atomic< unsigned char >

Explicit specialization for unsigned char.

Definition at line 285 of file cstdatomic.

The documentation for this struct was generated from the following file:

- cstdatomic